package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrMeasure;

/**
 * 人身防护Mapper接口
 *
 * @author ssy
 * @date 2024-11-04
 */
public interface TPssrMeasureMapper
{
    /**
     * 查询人身防护
     *
     * @param id 人身防护ID
     * @return 人身防护
     */
    public TPssrMeasure selectTPssrMeasureById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询人身防护列表
     *
     * @param tPssrMeasure 人身防护
     * @return 人身防护集合
     */
    
    public List<TPssrMeasure> selectTPssrMeasureList(TPssrMeasure tPssrMeasure);

    /**
     * 新增人身防护
     *
     * @param tPssrMeasure 人身防护
     * @return 结果
     */
    public int insertTPssrMeasure(TPssrMeasure tPssrMeasure);

    /**
     * 修改人身防护
     *
     * @param tPssrMeasure 人身防护
     * @return 结果
     */
    public int updateTPssrMeasure(TPssrMeasure tPssrMeasure);
    public int updateAllBySubId(TPssrMeasure tPssrMeasure);
    int updateTPssrMeasureByIds(TPssrMeasure tPssrMeasure);
    /**
     * 删除人身防护
     *
     * @param id 人身防护ID
     * @return 结果
     */
    public int deleteTPssrMeasureById(Long id);

    /**
     * 批量删除人身防护
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrMeasureByIds(Long[] ids);


}
